Introducing TS-ODBC Setup

» Welcome > Introducing ODBC Setup

Introducing ODBC Setup

Welcome to Sage 300 Construction and Real Estate ODBC Setup where you set up a data source to be used with the TS-ODBC driver.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.

More resources

For additional online resources for Sage products, visit the Sage Customer Portal. Use the portal to access the knowledgebase, chat online with customer support, or enter a customer support ticket.

For additional training on Sage products, visit Sage University.


Selecting a data directory

» How To > Select a data folder

Selecting a data folder

  1. Click [Select Directory].
  2. In the Select Directory window, select the directory that contains the Sage 300 Construction and Real Estate data you want to access via ODBC.
  3. Click [OK].
  4. The data directory name that you selected should now display in the ODBC Setup window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.

More resources

For additional online resources for Sage products, visit the Sage Customer Portal. Use the portal to access the knowledgebase, chat online with customer support, or enter a customer support ticket.

For additional training on Sage products, visit Sage University.


Setting driver options

You can set up ODBC options about how ODBC gives names to tables and fields, how it handles large tables, and whether it shortens field and table names. Click [Options] at the ODBC setup window.

Table and field option

Use maximum table segment size option

Shorten field and table names option

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.

More resources

For additional online resources for Sage products, visit the Sage Customer Portal. Use the portal to access the knowledgebase, chat online with customer support, or enter a customer support ticket.

For additional training on Sage products, visit Sage University.


ODBC Setup window

Use to set up a data source. A data source identifies the Sage 300 Construction and Real Estate data a user wants to access using the ODBC Driver.

Items in this window

Data Source Name

Enter a name that identifies the data source, such as a Company name or other description.

Database Type option

Select the Accounting Data Folder or Estimating Data Folder. If you select Estimating Data Folder, you will not be prompted to log on when you access estimating data. If accounting data exists in the same data folder and you have set up security in accounting, ODBC will not allow access to the accounting data using this ODBC data source. If you select Accounting Data Folder and you have security set up in accounting, ODBC will ask for your log on information when accessing accounting or estimating data using this ODBC data source.

Data Folder

Displays the currently selected directory. Before you accept the data source, you must use [Select Directory] to select a directory. How?

[Select Folder]

Opens the Select Directory window where you select a directory that contains the Sage 300 Construction and Real Estate data you want to set up.

Table and field option

Select Custom descriptions, Standard descriptions, or Dictionary names from the Table and field list.

The Custom descriptions option will display descriptive names for tables and fields. For example, if the custom description for the Cost code in Job Cost is Phase, ODBC will display it as {Master_JCM_Phase.Phase}. In Crystal Reports, you can only port a report designed with this DSN to databases using the same custom descriptions.

The Standard descriptions option will display the system's descriptive name. For example, if the custom description the Cost code in Job Cost is Phase, ODBC will display it as {Master_JCM_Cost_Code.Cost_Code}. In Crystal Reports, you can port a report designed with this DSN to any database.

The Dictionary names option will display the system's internal name. They are less descriptive than the Standard descriptions option. For example, ODBC will display the Cost code in Job Cost as {Master_JCM_RECORD_3.PHASE}. In Crystal Reports, you can port a report designed with this DSN to any database.

Use maximum table segment size option

Select or clear the Use maximum table segment size box. If you clear the Use maximum table segment size check box and you access a table with more than 255 columns, ODBC splits it into two tables. If you select this option, tables remain intact regardless of size.

Note Some programs, including Microsoft Access, do not support the use of maximum table segment size. Clear the check box when you use DSNs associated with those programs.

Shorten field and table names option

Before ODBC 8.00.3, the ODBC driver shortened table names longer than 36 characters and shortened field names longer than 25 characters. Select the Shorten field and table names check box to create a DSN compatible with reports you designed for versions of the software prior to Accounting and Management 8.0 and Estimating 6.5. Clear the check box to create a DSN compatible with reports you designed for Accounting and Management 8.0 and later or Estimating 6.5 and later.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.

More resources

For additional online resources for Sage products, visit the Sage Customer Portal. Use the portal to access the knowledgebase, chat online with customer support, or enter a customer support ticket.

For additional training on Sage products, visit Sage University.


TSODBC Help

version 12.1.0

May 7, 2012

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.

More resources

For additional online resources for Sage products, visit the Sage Customer Portal. Use the portal to access the knowledgebase, chat online with customer support, or enter a customer support ticket.

For additional training on Sage products, visit Sage University.